Bug 394171 - ifenslave adds duplicate routes for bonded slaves
ifenslave adds duplicate routes for bonded slaves
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iputils (Show other bugs)
3.9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Nagy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 08:53 EST by John Sobecki
Modified: 2016-07-26 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 06:14:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Iputils patch (339 bytes, text/x-patch)
2007-11-21 08:58 EST, John Sobecki
no flags Details

  None (edit)
Description John Sobecki 2007-11-21 08:53:31 EST
Description of problem:

Each time ifenslave adds a route for not only the bond0 net device
but also each ethN interface.  This shows up as multiple, duplicate
routes as viewed by: # route

Version-Release number of selected component (if applicable):

iputils 11.30.5

How reproducible:

100% of the time.

Steps to Reproduce:
1. Setup bond0 
2. Enslave a ethN interface
3. Check # route
  
Actual results:

$ netstat -rn
Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
141.146.29.64   0.0.0.0         255.255.255.192 U         0 0          0 bond0
141.146.29.64   0.0.0.0         255.255.255.192 U         0 0          0 eth0
141.146.29.64   0.0.0.0         255.255.255.192 U         0 0          0 eth4

Expected results:

After patching, you see only the bond interface with a route:

$ netstat -rn
Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
141.146.29.64   0.0.0.0         255.255.255.192 U         0 0          0 bond0

Additional info:
Comment 1 John Sobecki 2007-11-21 08:58:48 EST
Created attachment 266001 [details]
Iputils patch
Comment 2 Martin Nagy 2007-12-10 06:14:57 EST
For RHEL3 we're looking only at security and performance issues. Thus closing as
WONTFIX, sorry.

Note You need to log in before you can comment on or make changes to this bug.